Name:           ncmpcpp
Version:        0.4.1
Release:        1%{?dist}
Summary:        Clone of ncmpc with new features and written in C++
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://unkart.ovh.org/ncmpcpp
Source0:        http://unkart.ovh.org/ncmpcpp/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  curl-devel
BuildRequires:  taglib-devel
BuildRequires:  ncurses-devel


%description
Ncmpcpp is almost exact clone of ncmpc but it contains some new
features ncmpc doesn't have. It's been also rewritten from scratch
in C++. New features include: tag editor, playlists editor, easy to
use search screen, media library screen, lyrics screen and more.


%prep
%setup -q


%build
%configure --disable-static --enable-clock --with-taglib --with-curl

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make DESTDIR="%{buildroot}" INSTALL="install -p" docdir="%{_docdir}/%{name}-%{version}" install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/config doc/keys AUTHORS NEWS COPYING
%{_bindir}/ncmpcpp
%{_mandir}/man1/%{name}*


%changelog
* Wed Dec 30 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.4.1-1
- 0.4.1
- support for writing performer, composer and disc tags into ogg and flac files
- support for custom prefix/suffix of now playing song
- support for system charset encoding autodetection
- support for underlined text
- optimizations and bugfixes

* Fri Sep 11 2009 Michal Nowak <mnowak@redhat.com> - 0.4-1
- 0.4

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Michal Nowak <mnowak@redhat.com> - 0.3.5-1
- 0.3.5
- new feature: custom command execution on song change
- new feature: allow for physical files and directories deletion
- new feature: add local directories recursively
- new feature: add random songs to playlist
- new feature: mouse support
- new screen: outputs
- text scrolling in header was made optional
- some bugfixes

* Sat Jun 13 2009 Michal Nowak <mnowak@redhat.com> - 0.3.4-1
- 0.3.4

* Mon Apr 06 2009 Michal Nowak <mnowak@redhat.com> - 0.3.3-1
- dumped ncmpcpp-0.3.2-charset.patch -- upstream already
- 0.3.3

* Wed Mar 18 2009 Michal Nowak <mnowak@redhat.com> - 0.3.2-1
- 0.3.2
- added ncmpcpp man page

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Michal Nowak <mnowak@redhat.com> 0.3.1-1
- 0.3.1

* Tue Feb  3 2009 Michal Nowak <mnowak@redhat.com> 0.3-1
- 0.3
- enable clock

* Thu Jan 15 2009 Michal Nowak <mnowak@redhat.com> 0.2.5-4
- disable building static archives

* Tue Jan 13 2009 Michal Nowak <mnowak@redhat.com> 0.2.5-3
- minor SPEC file changes

* Thu Dec 11 2008 Michal Nowak <mnowak@redhat.com> 0.2.5-2
- added ncurses-devel as BuildRequires

* Tue Dec  9 2008 Michal Nowak <mnowak@redhat.com> 0.2.5-1
- 0.2.5

